Bug 42103 - Parans trustStoreType trustStorePass trustStoreFile
Parans trustStoreType trustStorePass trustStoreFile
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Webapps:Administration
5.5.23
Other Windows XP
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-04-12 09:20 UTC by Matheus Bastos
Modified: 2007-04-14 09:19 UTC (History)
0 users



Attachments
Patch to fix parameter name mismatch in Admin webapp (1.06 KB, patch)
2007-04-13 10:50 UTC, Chris Halstead
Details | Diff
Patch to fix parameter name mismatch in Admin webapp (1.44 KB, patch)
2007-04-13 10:51 UTC, Chris Halstead
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matheus Bastos 2007-04-12 09:20:52 UTC
When admin configure server.xml file its write this parans trustStoreType
trustStorePass trustStoreFile in the conector tag, but te service don't work.

If i change to truststoreType truststorePass truststoreFile its work well. 

See: 

    <Connector
        port="8445"
        scheme="https"
        secure="true"
        keystoreFile="C:\ssl\certs\localhost.pfx"
        keystorePass="1234"
        trustStoreFile="C:\ssl\certs\ca.pfx"
        sslProtocol="TLS"
        maxSpareThreads="75"
        trustStorePass="1234"
        maxThreads="150"
        keystoreType="PKCS12"
        trustStoreType="PKCS12"
        minSpareThreads="25"
        clientAuth="true">
    </Connector>


    <Connector
        port="8443"
        scheme="https"
        secure="true"
        keystoreFile="C:\ssl\certs\localhost.pfx"
        keystorePass="1234"
        truststoreFile="C:\ssl\certs\ca.pfx"
        sslProtocol="TLS"
        maxSpareThreads="75"
        truststorePass="1234"
        maxThreads="150"
        keystoreType="PKCS12"
        truststoreType="PKCS12"
        minSpareThreads="25"
        clientAuth="true">
    </Connector>
Comment 1 Chris Halstead 2007-04-13 10:50:41 UTC
Created attachment 19954 [details]
Patch to fix parameter name mismatch in Admin webapp
Comment 2 Chris Halstead 2007-04-13 10:51:57 UTC
Created attachment 19955 [details]
Patch to fix parameter name mismatch in Admin webapp

This patch plus the one for EditConnectorAction.java should remediate the
parameter name mismatch issue in the Admin webapp.
Comment 3 Mark Thomas 2007-04-14 09:19:27 UTC
Your patch has been applied to svn and will be included in 5.5.24 onwards.

Many thanks.